<?php if ( !defined( 'ABSPATH' ) ) exit();
get_header( );
global $post;
?>

<?php 

$collection_artist           = get_post_meta( $post->ID,'collection_artist', true ) ? get_post_meta( $post->ID,'collection_artist', true ) : array();

$collection_artists          = OVACOLL_get_data::OVACOLL_get_all_artist();


$collection_year_number      = get_post_meta( $post->ID, 'collection_year_number', true ) ? get_post_meta( $post->ID, 'collection_year_number', true ) : '';
$collection_year_text        = get_post_meta( $post->ID, 'collection_year_text', true ) ? get_post_meta( $post->ID, 'collection_year_text', true ) : '';

$collection_address          = get_post_meta( $post->ID, 'collection_address', true ) ? get_post_meta( $post->ID, 'collection_address', true ) : '';

$collection_marterial        = get_post_meta( $post->ID, 'collection_marterial', true ) ? get_post_meta( $post->ID, 'collection_marterial', true ) : '';

$collection_accession_number = get_post_meta( $post->ID, 'collection_accession_number', true ) ? get_post_meta( $post->ID, 'collection_accession_number', true ) : '';

$collection_dimensions       = get_post_meta( $post->ID, 'collection_dimensions', true ) ? get_post_meta( $post->ID, 'collection_dimensions', true ) : '';

$collection_credit           = get_post_meta( $post->ID, 'collection_credit', true ) ? get_post_meta( $post->ID, 'collection_credit', true ) : '';

$collection_file_download    = get_post_meta( $post->ID, 'collection_file_download', true ) ? get_post_meta( $post->ID, 'collection_file_download', true ) : '';
$link_download               = wp_get_attachment_url( $collection_file_download );

$collection_visual_desc      = get_post_meta( $post->ID, 'collection_visual_desc', true ) ? get_post_meta( $post->ID, 'collection_visual_desc', true ) : '';

$collection_history          = get_post_meta( $post->ID, 'collection_history', true ) ? get_post_meta( $post->ID, 'collection_history', true ) : '';

$collection_publication      = get_post_meta( $post->ID, 'collection_publication', true ) ? get_post_meta( $post->ID, 'collection_publication', true ) : '';

$link = get_the_permalink();
$title = get_the_title(); 


// Get list artist
$array_artist = array();
$value_artist = '';

foreach ($collection_artists as $key => $id) {

	$slug_artist = get_post_field( 'post_name', $id );

	if(in_array($slug_artist, $collection_artist) == true ){

		$link = get_the_permalink( $id );
		$title_artist = get_the_title( $id );

		$array_artist[] = '<a class="value_artist" href="'. $link .'"> '. $title_artist .'</a>' ;
		
	}
}



?>

<div class="single_collection">

	<div class="collection_intro">

		<div class="back_collections">
			<a href="<?php echo esc_url(get_post_type_archive_link( 'collection' )); ?>"><?php esc_html_e( 'Go to all Collections', 'ova-collection' );?></a>
		</div>

		<div class="image">
			<?php the_post_thumbnail( '' ); ?>
			<div class="caption_img"><?php the_post_thumbnail_caption(); ?></div>
		</div>
		<ul class="buttons">
			<li class="share">
				<i class="ti-share"></i>
				<?php echo apply_filters( 'ova_share_social', $link, $title  ); ?>
			</li>
			<li class="download">
				<a href="<?php echo esc_attr( $link_download ); ?>" download><i class="ti-download"></i></a>
			</li>
			<li >
				<div class="fullscreen">
					<a href="<?php echo get_the_post_thumbnail_url(); ?>" rel="prettyPhoto"><i class="ti-fullscreen" ></i></a>
				</div>
			</li>
		</ul>
	</div>


	<!-- Single Content -->
	<div class="container">
		<div class="collection_content">

			<!-- Collection Top -->
			<div class="collection_top">
				<h1 class="title_top second_font"><?php echo get_the_title(); ?></h1>
				<div class="desc">
					
					<?php if ( !empty( $array_artist ) ) { ?>
						<span class="artist">
							<?php echo implode(", ", $array_artist); ?>
						</span>
					<?php } ?>
					
					
					<?php if ($collection_year_number != '') { ?>
						<span class="year_number"> 
							<?php if ( !empty( $array_artist ) ) echo ', '; ?>
							<?php esc_html_e( $collection_year_number );  ?>
						</span>
					<?php } ?>
					

					<?php
					$location = get_the_terms( get_the_id(), 'location') ;
					if ($location != '') {
						foreach ( $location as $value ) {
							$key_location[] = $value->name;
						} ?>
						<span class="location">
							<?php if ($collection_year_number != '') echo ', '; ?>
							<?php echo (join( ", ", $key_location)); ?>
						</span>
					<?php } ?>
					
				</div>
				<div class="content">
					<?php if ( have_posts() ) : while ( have_posts() ) : the_post();
						the_content();
					endwhile; else: '' ; endif; ?>

				</div>
			</div> <!-- END Collection Top -->


			<!-- Collection Middle -->
			<div class="collection_mid">
				<ul>
					
					<?php if ( !empty( $array_artist ) ) { ?>
						<li>
							<label class="title_mid">
								<?php esc_html_e('Artist','ova-collection');?>
							</label>
							<span class="value_mid">
								<?php echo implode(", ", $array_artist); ?>
							</span>
						</li>
					<?php } ?>


					<?php if ($collection_year_text != '') { ?>
						<li>
							<label class="title_mid"><?php esc_html_e('Year:','ova-collection');?></label>
							<span class="value_mid"><?php echo esc_attr( $collection_year_text ); ?></span>
						</li>
					<?php } ?>

					<?php if ($collection_address != '') { ?>
						<li>
							<label class="title_mid"><?php esc_html_e('Address:','ova-collection');?></label>
							<span class="value_mid"><?php echo esc_attr( $collection_address ); ?></span>
						</li>
					<?php } ?>

					<li>
						<label class="title_mid"><?php esc_html_e('Type:','ova-collection');?></label>
						<span class="value_mid">
							<?php 
							$taxonomy = 'type';
							$terms = get_the_terms( get_the_ID(),$taxonomy );
							if ( $terms && ! is_wp_error($terms) ) :
								$tslugs_arr = array();
								foreach ($terms as $term) {
									$tslugs_arr[] = $term->name;
								}
								$terms_slug_str = join( ", ", $tslugs_arr); ?>
								<?php echo esc_html($terms_slug_str);?>
							<?php endif; ?>		
						</span>
					</li>

					<?php if ($collection_marterial != '') { ?>
						<li>
							<label class="title_mid"><?php esc_html_e('Material:','ova-collection');?></label>
							<span class="value_mid"><?php echo esc_attr( $collection_marterial ); ?></span>
						</li>
					<?php } ?>

					<?php if ($collection_accession_number != '') { ?>
						<li>
							<label class="title_mid"><?php esc_html_e('Accession Number:','ova-collection');?></label>
							<span class="value_mid"><?php echo esc_attr( $collection_accession_number ); ?></span>
						</li>
					<?php } ?>

					<?php if ($collection_dimensions  != '') { ?>
						<li>
							<label class="title_mid"><?php esc_html_e('Dimensions:','ova-collection');?></label>
							<span class="value_mid"><?php echo esc_attr( $collection_dimensions ); ?></span>
						</li>
					<?php } ?>

					<?php if ( $collection_credit != '') { ?>
						<li>
							<label class="title_mid"><?php esc_html_e('Credit:','ova-collection');?></label>
							<span class="value_mid"><?php echo esc_attr( $collection_credit ); ?></span>
						</li>
					<?php }?>

				</ul>
			</div><!-- END Collection Middle -->


			<!-- Collection Bottom -->
			<div class="collection_bottom">
				<div class="accordion" id="accordionExample">

					<?php if ($collection_visual_desc != '') { ?>
						<div class="card">
							<button data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
								<?php esc_html_e( 'Visual Description', 'ova-collection' ); ?>
								<i class="fas fa-angle-up"></i>
							</button>
							<div id="collapseOne" class="collapse show" >		
								<div class="content">
									<?php echo  $collection_visual_desc ; ?>
								</div>
							</div>
						</div>
					<?php } ?>
                    <?php if ($collection_history != '') { ?>
					<div class="card">
						<button data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo" class="collapsed">
							<?php esc_html_e( 'Timeline of Art History', 'ova-collection' ); ?>
							<i class="fas fa-angle-up"></i>
						</button>
						<div id="collapseTwo" class="collapse" >		
							<div class="content">
								<?php echo  $collection_history ; ?>

							</div>
						</div>
					</div>
					<?php } ?>
					<?php if ($collection_publication != '') { ?>

						<div class="card">
							<button data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree" class="collapsed">
								<?php esc_html_e( 'Publications', 'ova-collection' ); ?>
								<i class="fas fa-angle-up"></i>
							</button>
							<div id="collapseThree" class="collapse" >		
								<div class="content">
									<?php echo  $collection_publication ; ?>
								</div>
							</div>
						</div>
					<?php } ?>
				</div>
			</div><!-- END Collection Bottom -->


			<div class="collection_comment">
				<?php
				
					if ( comments_open() || get_comments_number() ) {
						comments_template();
					}
				?>
			</div>

		</div> <!-- End Single Content -->


	</div>
</div>






<?php get_footer( );
