(function($){
  "use strict";
  $(document).ready(function(){

    /***** Date Time Picker *****/
    $('.ovamt_date').each(function(){

      var date_format = $(this).data('date_format');
      
      var date_time = $(this).data('date_time');

      var special_date_time = $(this).data('special_date_time');
      var special_week_days = $(this).data('special_week_days');

      var disabled_week_days = $(this).data('disabled_week_days');
      var disabled_date = $(this).data('disabled_date');
      var lang = $(this).data('lang');
      
      // Time Range HTML - When set special week days
      function time_range_render_html(time_range) {
        var html = '';
        var times = time_range.split('|');

        for(var i = 0; i < times.length; i++) {
          var time = times[i].split(',');
          if(typeof time[1] !== 'undefined') {
            var time_val = time[1];
          } else {
            var time_val = '';
          }
          if(typeof time[0] !== 'undefined') {
            var time_lab = time[0];
          } else {
            var time_lab = '';
          }
          html+= "<option value='"+ time_val +"'>"+ time_lab +"</option>";
        }
        return html;
      }

      var time_range_option = time_range_render_html(date_time);
      var special_time_range_option = time_range_render_html(special_date_time);
      // end time range HTML

      // Format date d/m/Y to Y/m/d
      function formatInputDate(input) {
        var datePart = input.match(/\d+/g),
        day = datePart[0],
        month = datePart[1], year = datePart[2];

        return year+'/'+month+'/'+day;
      }
      // end format date
      
      $(this).datetimepicker({
        timepicker:false,
        format: date_format,
        formatDate: date_format,
        disabledWeekDays: disabled_week_days,
        disabledDates: disabled_date,
        minDate:0,
        onChangeDateTime:function(){
          var date_input = $('.ovamt_date').val();
          var date = new Date(date_input);
          if( date_format == 'd/m/Y' ) {
            var new_date_input = formatInputDate(date_input);
            date = new Date(new_date_input);
          }
          var day = date.getDay();
          if( date_input != '' && disabled_date.includes(date_input)){
            $('.ovamt_date').val('');
            alert('Please choose other date');
          } 
          if( special_week_days != '' ) {
            if ( special_week_days.includes(day) ) {
              $('#ovamt_time').empty().append(special_time_range_option).trigger('change').focus();
            } else {
              $('#ovamt_time').empty().append(time_range_option).trigger('change').focus();
            }
          }
        }
      });
      $.datetimepicker.setLocale(lang);
    });


   

    $( '.single_add_to_cart_button' ).off('click').on('click', function(){
      
        var flag_s = true;

        if( $('.ovamt_date').length > 0  ){
          if( !$('.ovamt_date').val()){
            var meg1 = $( '.ovamt_date' ).data( 'message' );
              alert( meg1 );
              flag_s = false;
          }
        }

        if( $('#ovamt_time').length > 0  ){
          if( !$('#ovamt_time').val() ){
            var meg2 = $( '#ovamt_time' ).data( 'message' );
            alert( meg2 );
            flag_s = false;
          }
        }

        if( flag_s ){
          return true;
        }else{
          return false;
        }
      
     
      return true;
    });
    
    /***** End Date Time Picker *****/

  });
})(jQuery);