<?php

function ovatm_get_products( $slug ){
    $args = array(
        'post_type' => 'product',
        'posts_per_page' => '-1',
        'post_status'   => 'publish',
        'name'	=> $slug
    );
    $product = new WP_Query( $args );
    return $product;
}

// Remove Product without Category
add_action( 'woocommerce_product_query', 'ovamt_pre_get_posts_query' );
function ovamt_pre_get_posts_query( $q ) {

    $tax_query = (array) $q->get( 'tax_query' );

    $tax_query[] = array(
           'taxonomy' => 'product_cat',
           'field' => 'slug',
           'terms' => array( 'ticket' ), // Don't display products in the clothing category on the shop page.
           'operator' => 'NOT IN'
    );


    $q->set( 'tax_query', $tax_query );

}

add_filter( 'ovamt_ticket_product_settings', 'ovamt_ticket_product_settings');
function ovamt_ticket_product_settings() {   
    return OVAMT_Settings::ovamt_product_slug();
}

// Get Array Product ID with WPML
if ( !function_exists( 'ovamt_get_wpml_product_ids' ) ) {
    function ovamt_get_wpml_product_ids( $product_id_original ){
        $translated_ids = array();

        // get plugin active
        $active_plugins = get_option('active_plugins');

        if ( in_array ( 'polylang/polylang.php', $active_plugins ) || in_array ( 'polylang-pro/polylang.php', $active_plugins ) ) {
                $languages = pll_languages_list();
                if ( !isset( $languages ) ) return;
                foreach ($languages as $lang) {
                    $translated_ids[] = pll_get_post($product_id_original, $lang);
                }
        } elseif ( in_array ( 'sitepress-multilingual-cms/sitepress.php', $active_plugins ) ) {
            global $sitepress;
        
            if(!isset($sitepress)) return;
            
            $trid = $sitepress->get_element_trid($product_id_original, 'post_product');
            $translations = $sitepress->get_element_translations($trid, 'product');
            foreach( $translations as $lang=>$translation){
                $translated_ids[] = $translation->element_id;
            }
        } else {
            $translated_ids[] = $product_id_original;
        }

        return apply_filters( 'ovamt_multiple_languages', $translated_ids );
    }
}